/**
 * Courses styles
 */

.table-controls {
  display: flex;
  flex-direction: column;
  gap: 0.75rem;
  margin-top: 0.75rem;
  margin-bottom: 0.5rem;
}

.table-controls-inner, .table-controls-inner-2 {
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.table-control-input {
  font-family: var(--font-body);
  font-size: 1rem;
  padding: 0.5rem 0.75rem;
  border-radius: 0.5rem;
  border: 1px solid var(--black-a60);
  outline: 1px solid var(--red-a00);
  flex: 1;
}

.table-control-input:focus {
  border: 1px solid var(--red-a80);
  outline: 1px solid var(--red-a80);
}

.table-control-select, .table-control-select > option {
  font-family: var(--font-body);
  font-size: 1rem;
  padding: 0.5rem 0.75rem;
  background-color: var(--snow);
  border-radius: 0.5rem;
  border: 1px solid var(--black-a60);
  flex-grow: 1;
}

.table-control-btn {
  border-radius: 0.5rem;
  padding: 0.35rem 1rem;
}

/* 400px */
@media (min-width: 25rem) {
}

/* 640px */
@media (min-width: 40rem) {
  .table-controls-inner-2 {
    flex-direction: row;
  }
}

/* 768px */
@media (min-width: 48rem) {
  .table-controls-inner {
    flex-direction: row;
  }

  .table-control-select, .table-control-select > option {
    flex-grow: 0;
  }
}

/* 1024px */
@media (min-width: 64rem) {
  .courses-input {
    font-size: 1.125rem;
  }
}

/* 1280px */
@media (min-width: 80rem) {
}

/* 1536px */
@media (min-width: 96rem) {
}

/* 1920px */
@media (min-width: 120rem) {
}
